using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class PingRequestPacket : IPacket
{
	public long ServerTick { get; set; }

	public PingRequestPacket()
	{
	}

	public PingRequestPacket(long serverTick)
	{
		ServerTick = serverTick;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(ServerTick);
	}

	public void Read(BinaryReader r)
	{
		ServerTick = r.ReadInt64();
	}
}
